Compatibility

Eversense CGM App

  • iPhone 6, 6S, 7, 7+, 8, 8+, X, XS, XS Max, XR, 11, 11 Pro, 11 Pro Max
  • iPod Touch 6th Generation
  • iPad iPad Mini (Retina)

iOS Operating System Updates

To help ensure an optimal experience with your Eversense system, we recommend you disable automatic updates on your mobile device. Some operating system updates may result in a need for a supporting update to the Eversense Mobile Apps. Once we have verified compatibility of new operating systems with Eversense, we will post them to this web page. Additionally, we recommend not using beta versions of operating systems.

  • Google Pixel 2, Pixel 2 XL, Pixel 3XL, Pixel 3a, Pixel 3a XL, Pixel 4, Pixel 4 XL
  • HMD global Nokia 7.1, Nokia 9
  • HTC U11
  • Huawei Honor 7X, Honor 9, P10, P20, P10 Lite, Mate 10 Pro, Mate 20 Pro, Mate 20 Lite, Mate 20 X, Honor 9 Lite, P Smart 2019, Y6 2019, P30, P30 Pro
  • LG G5, 35 ThinQ, 40 ThinQ
  • Motorola Moto E5, Moto G5, Moto G7 Play, Moto G7 Plus
  • One Plus 6T, 7 Pro, 9 Pro
  • Samsung Galaxy Galaxy A50, Galaxy A5 2017, Galaxy A6, Galaxy A7, Galaxy J3, Galaxy J6, Galaxy S7, Galaxy S7 Edge, Galaxy S8, Galaxy S8+, Galaxy S9, Galaxy S9+, Galaxy S10, Galaxy S10 Plus, Galaxy S10e, Galaxy S20 FE 5G, Galaxy S20 5G, Galaxy S20 Plus 5G, Galaxy S20 Ultra 5G, Galaxy Note 8, Galaxy Note 9, Galaxy Note 10, Galaxy Note 10+
  • Sony Xperia XA1, Xperia XZ, Xperia XZs
  • Xiaomi Mi 9, Redmi Note 6 Pro, Redmi Note 10, MI10T

Android Operating Systems

To help ensure an optimal experience with your Eversense system, we recommend you disable automatic updates on your mobile device. Some operating system updates may result in a need for a supporting update to the Eversense Mobile Apps. Once we have verified compatibility of new operating systems with Eversense, we will post them to this web page. Additionally, we recommend not using beta versions of operating systems.

  • Apple Watch (5.X.X to 9.X.X) Series 2, 3, 4 (40mm and 44mm), and 5

English, Swedish, German, Italian, Dutch, Norwegian, French, Spanish, Polish, British English

Eversense Data Management System

Internet Explorer (v11), Edge (v17), Google Chrome (v68 – v73), Firefox (v61 – v65), Safari (v10.1, 11.1, v12 )

iPad Air 2, Samsung Tab E

English, German, Swedish, Norwegian, Italian, Dutch, Danish, French, Polish, Spanish

To help ensure an optimal experience with your Eversense system, we recommend you disable automatic updates on your mobile device. Some operating system updates may result in a need for a supporting update to the Eversense Mobile Apps. Once we have verified compatibility of new operating systems with Eversense, we will post them to this web page. Additionally, we recommend not using beta versions of operating systems.

Eversense NOW App

Compatible Apple Devices

  • Apple iPhone 7
  • Apple iPhone 6S
  • Apple iPhone 13
  • Apple iPhone 13 Pro
  • Apple iPhone 13 Pro Max
  • Apple iPhone 13 Mini

Compatible Android Devices

  • Samsung A40
  • Samsung A71 5G
  • Samsung S9+
  • Samsung S10
  • Samsung S10e
  • Samsung S20 FE 5G
  • Samsung S20+ 5G

MKT-001512 Rev 1